// das Adressbuch speichert alle Kontakte und ermglicht, mit ihnen zu arbeiten

import java.util.*;

class Adressbuch {

	// unsere Liste mit den Kontakten
	ArrayList<Kontakt> adressbuch = new ArrayList<Kontakt>();

	// einen neuen Kontakt hinzufuegen
	void kontaktHinzufuegen () {
		Benutzereingabe eingabe = new Benutzereingabe();
		System.out.println ("Einen neuen Kontakt hinzugefuegen:");
		String vname = eingabe.getString("Vorname? ");
		String nname = eingabe.getString("Nachname? ");
		String telnr = eingabe.getString("Telefonnummer? ");
			
		Kontakt neuerKontakt = new Kontakt(vname, nname, telnr);
		adressbuch.add(neuerKontakt);
	}
	
	// alle Kontakte ausgeben
	void kontakteAusgeben () {
		for (Kontakt k : adressbuch) {
			System.out.println (k.getVorname() + " " + k.getNachname() + ":" + k.getTelefon());
		}
	}
	
	// einen einzelnen Kontakt ausgeben (Hilfsmethode fuer kontakteSuchen())
	void kontaktAusgeben (Kontakt k) {
		System.out.println (k.getVorname() + " " + k.getNachname() + ":" + k.getTelefon());
	}	

	// nach Kontakt suchen
	void kontakteSuchen () {
		Benutzereingabe eingabe = new Benutzereingabe();
		String suchstring = eingabe.getString("Geben Sie den Namen oder die Telefonnummer ein, nach der Sie suchen moechten: ");
		for (Kontakt k : adressbuch) {
			if (k.suche(suchstring)) {
				kontaktAusgeben(k);
			}
		}
	}
}